New Media Library - errors in log file webapp.log

Hello,
In new version 1.4.0 was introduce function New Media Library.
When i tried create folder for test i saw in logs something like that:
[2020-11-16 07:08:30][ERROR ] — no version -1 for filename ‘tes’ (media_file_manager.py)
[2020-11-16 07:08:31][ERROR ] — no version -1 for filename ‘test’ (media_file_manager.py)
[2020-11-16 07:08:32][ERROR ] — no version -1 for filename ‘testo’ (media_file_manager.py)
[2020-11-16 07:08:35][ERROR ] — no version -1 for filename ‘testow’ (media_file_manager.py)
[2020-11-16 07:08:35][ERROR ] — no version -1 for filename ‘testowy’ (media_file_manager.py)
[2020-11-16 07:08:38][ERROR ] — no version -1 for filename ‘testowy_folder’ (media_file_manager.py)

I guess it shouldn’t be like that :slight_smile:

Hi @marcinw,

thanks for reporting that bug. We’ll track that issue in NET-711.

Hello,
I have now version 1.4.2 and i think it works and i don’t have any errors.
but
Now i have some new problem.
When i wanted move some folder to other i saw:
image
i checked and i don’t have any files without folders.
What is this communication about?

Next what i checked was to try give a name folder without name:


when i given name for catalog and clicked ok my application get my a error:

logs

[2020-11-18 08:23:26][ERROR ] — no version -1 for filename None (media_file_manager.py)
[2020-11-18 08:23:26][ERROR ] — Exception on /media_file/ [PUT] (app.py)
Traceback (most recent call last):
File “gridfs/init.py”, line 205, in get_version
File “pymongo/cursor.py”, line 1215, in next
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “cmdb/media_library/media_file_manager.py”, line 46, in get_file
File “gridfs/init.py”, line 227, in get_last_version
File “gridfs/init.py”, line 209, in get_version
gridfs.errors.NoFile: no version -1 for filename None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “flask/app.py”, line 2447, in wsgi_app
File “flask/app.py”, line 1952, in full_dispatch_request
File “flask_cors/extension.py”, line 165, in wrapped_function
File “flask/app.py”, line 1821, in handle_user_exception
File “flask/_compat.py”, line 39, in reraise
File “flask/app.py”, line 1950, in full_dispatch_request
File “flask/app.py”, line 1936, in dispatch_request
File “cmdb/interface/route_utils.py”, line 85, in decorated
File “cmdb/interface/route_utils.py”, line 149, in get_request_user
File “cmdb/interface/route_utils.py”, line 177, in _decorate
File “cmdb/interface/rest_api/media_library_routes/media_file_routes.py”, line 179, in update_file
File “cmdb/media_library/media_file_manager.py”, line 49, in get_file
cmdb.media_library.media_file_manager.MediaFileManagerGetError

What i did wrong or maybe not?
Is that place i should wrote path to catalog on file system like example /tmp/data/ ?

and one more
duplicate function:
image

Hi @marcinw,

the move folder dialogue shows the directory structure in its dropdown menu:

In the example above, you see the directories “test” and “test2” on root level and “test3” as a subfolder of “test2”. In the dropdown menu, “Without Parent” means a directory on root level.

The root level element may not be renamed or deleted, as it is a virtual element. We need to remove the rename, move and delete buttons for this element. I’ll open an issue for that.

Ok,
thank You for explanation this case with numbers :slight_smile:
and open issue for rename etc button for root folder.

Hi @marcinw,

version 1.4.3 includes a fix that hides the buttons for the root folder.

Hi
Yes i don’t see now these buttons for folder root.